import * as ec2 from '@aws-cdk/aws-ec2';
import * as ecs from '@aws-cdk/aws-ecs';
import * as iam from '@aws-cdk/aws-iam';
import * as logs from '@aws-cdk/aws-logs';
import * as rds from '@aws-cdk/aws-rds';
import * as secretsmanager from '@aws-cdk/aws-secretsmanager';
import * as cdk from '@aws-cdk/core';
/**
 * @experimental
 */
export interface MetaflowFargateServiceProps {
    /**
     * @experimental
     */
    readonly database: rds.IDatabaseInstance;
    /**
     * @experimental
     */
    readonly cluster: ecs.ICluster;
    /**
     * @experimental
     */
    readonly secret: secretsmanager.ISecret;
    /**
     * @experimental
     */
    readonly logGroup: logs.ILogGroup;
    /**
     * @experimental
     */
    readonly taskRole: iam.IRole;
    /**
     * @experimental
     */
    readonly executionRole: iam.IRole;
    /**
     * @experimental
     */
    readonly securityGroup: ec2.SecurityGroup;
}
/**
 * @experimental
 */
export declare class MetaflowFargateService extends cdk.Construct {
    /**
     * @experimental
     */
    readonly fargateTaskDefinition: ecs.FargateTaskDefinition;
    /**
     * @experimental
     */
    readonly fargateService: ecs.FargateService;
    /**
     * @experimental
     */
    constructor(scope: cdk.Construct, id: string, props: MetaflowFargateServiceProps);
}
